<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
<xsl:output method="xml" encoding="iso-8859-1" omit-xml-declaration="yes" indent="yes"/> 
<xsl:template match="/">
<style type="text/css">  
  .datacategory_fastest {background-color:#FFFFFF; font-family: arial; z-index: 1; border: 1px solid #C53737; border-top: none; visibility: visible; padding: 1px; color:#000000; text-transform: lowercase; font-weight: bold; font-size: 11px;}
  .lightcolor {color: #555555; text-transform: capitalize;}
</style>		


        <xsl:variable name="dur" select="plusService/sportsData/runSummary/duration * 0.0000166666667" />
        <xsl:variable name="dist" select="plusService/sportsData/runSummary/distance * 0.621371192"/> 
        <xsl:variable name="pace" select="($dur div $dist)" />

	<div class="datacategory_fastest">
          <div class="lightcolor left-column"> FASTEST RUN </div>
           <xsl:value-of select="substring(plusService/sportsData/startTime,1,10)"/> <br/>
	   <xsl:value-of select="format-number($dist, '#.00')"/> mi 
           <br/> <xsl:value-of select="floor($dur)" />&#39; <xsl:value-of select="format-number(($dur mod floor($dur)) * 60, '##')" />&#34;
           <br/> <xsl:value-of select="floor($pace)" />&#39; <xsl:value-of select="format-number(($pace mod floor($pace)) * 60, '##')" />&#34;&#47;mi
        </div>
        </xsl:template> 
</xsl:stylesheet>